// inertia with respect to an centered at the origin with semi major and semi
// minor axes=a,b respectively. 
function[p,z,n]=g_inertia_ellipse(x,a,b,tol) 
[lhs,rhs]=argn();
if rhs==3 then tol =1e-10; end;
[n,n]=size(x);
a1=b/a^2;
b1=-b/a;
c1=((b/a)^2*(1+(b/a)))/(1+(a/b)^4);
d1=c1/a;
x=(a1*x+b1*eye(n,n))*inv(c1*x+d1*eye(n,n));
[p,z,n]=g_inertia(x);
endfunction



