// inertia with respect to an arc centered at the origin with radius=1.
// making angle theta=pi/n radian with positive x-axis.
function[p,z,n]=g_inertia_arc(a,theta,tol) 
theta=3.1415/180*theta;
n=round(3.1415/theta);
[lhs,rhs]=argn();
if rhs==2 then tol =1e-10; end;
[p,p]=size(a);
a=exp(%i*3.1415/2)*(a^n+eye(p,p))^2*(a^n-eye(p,p))^(-2);
[p,z,n]=g_inertia(a);
endfunction
 
