// inertia with respect to a convex lens centered at the origin with 
// positive x intercept a and negative x intercept b. Angle of the lens is
// theta degree 
function[p,z,n]=g_inertia_cl(x,a,b,theta,tol) 
theta=3.1415/180*theta;
n=round(3.1415/theta);
[lhs,rhs]=argn();
if rhs==4 then tol =1e-10; end;
[p,p]=size(x);
x=(x-a*eye(p,p))^n*(x-b*eye(p,p))^(-n);
[p,z,n]=g_inertia(a);
endfunction

